Webhook Events

Webhook Events endpoints for the File Storage API Unified API

10.24.33
Run In Postman
|Full reference

File Created
Webhook

Event broadcast when a file has been created.

Header parameters

x-apideck-event-typestring
required
Enum:*file-storage.file.createdfile-storage.file.updatedfile-storage.file.deleted

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Mapping coverage per connector

Google Drive
Google Drive
native event
Box
Box
Request
Dropbox
Dropbox
Request
OneDrive
OneDrive
Request
SharePoint
SharePoint
Request

Example Event

Payload
{
  "payload": {
    "event_type": "file-storage.file.created",
    "unified_api": "file-storage",
    "service_id": "dropbox",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/file-storage/files/123456ASDF",
    "entity_type": "file",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

File Updated
Webhook

Event broadcast when a file has been updated.

Header parameters

x-apideck-event-typestring
required
Enum:*file-storage.file.createdfile-storage.file.updatedfile-storage.file.deleted

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Mapping coverage per connector

Google Drive
Google Drive
native event
Box
Box
Request
Dropbox
Dropbox
Request
OneDrive
OneDrive
Request
SharePoint
SharePoint
Request

Example Event

Payload
{
  "payload": {
    "event_type": "file-storage.file.updated",
    "unified_api": "file-storage",
    "service_id": "dropbox",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/file-storage/files/123456ASDF",
    "entity_type": "file",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

File Deleted
Webhook

Event broadcast when a file has been deleted.

Header parameters

x-apideck-event-typestring
required
Enum:*file-storage.file.createdfile-storage.file.updatedfile-storage.file.deleted

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Mapping coverage per connector

Google Drive
Google Drive
native event
Box
Box
Request
Dropbox
Dropbox
Request
OneDrive
OneDrive
Request
SharePoint
SharePoint
Request

Example Event

Payload
{
  "payload": {
    "event_type": "file-storage.file.deleted",
    "unified_api": "file-storage",
    "service_id": "dropbox",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/file-storage/files/123456ASDF",
    "entity_type": "file",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Drive Updated
Webhook

Event broadcast when a drive has been updated.

Header parameters

x-apideck-event-typestring
required
Enum:*file-storage.file.createdfile-storage.file.updatedfile-storage.file.deleted

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Mapping coverage per connector

OneDrive
OneDrive
native event
SharePoint
SharePoint
native event
Box
Box
Request
Dropbox
Dropbox
Request
Google Drive
Google Drive
Request

Example Event

Payload
{
  "payload": {
    "event_type": "file-storage.drive.updated",
    "unified_api": "file-storage",
    "service_id": "dropbox",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/file-storage/drives/123456ASDF",
    "entity_type": "drive",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}